void switchOn(String idx, String typ) {
  if (WiFi.status() == WL_CONNECTED) { //Check WiFi connection status
    HTTPClient http;
    http.begin("https://eu.lightify-api.org/lightify/services/"+ typ +"/set?idx=" +idx + "&level=1&time=10&onoff=1" , "D8 79 B6 A7 0D E5 4D 7A A9 03 DB A8 D3 1E 0E 39 74 24 15 FE");
    http.addHeader("Content-Type", "application/json");
    http.addHeader("authorization", publictoken);
    int httpCode = http.GET();   //Send the request

    if (httpCode > 0) { //Check the returning code
      String payload = http.getString();   //Get the request response payload
      Serial.println(payload);                     //Print the response payload
    }
    http.end();   //Close connection
  }
}

void switchOff(String idx, String typ) {
  if (WiFi.status() == WL_CONNECTED) { //Check WiFi connection status
    HTTPClient http;
    http.begin("https://eu.lightify-api.org/lightify/services/"+ typ +"/set?idx=" +idx + "&time=10&onoff=0" , "D8 79 B6 A7 0D E5 4D 7A A9 03 DB A8 D3 1E 0E 39 74 24 15 FE");
    http.addHeader("Content-Type", "application/json");
    http.addHeader("authorization", publictoken);
    int httpCode = http.GET();   //Send the request
    if (httpCode > 0) { //Check the returning code
      String payload = http.getString();   //Get the request response payload
      Serial.println(payload);                     //Print the response payload
    }
    http.end();   //Close connection
  }
}

void switchcolor(String color, String idx, String typ) {
  if (WiFi.status() == WL_CONNECTED) { //Check WiFi connection status
    HTTPClient http;
    http.begin("https://eu.lightify-api.org/lightify/services/"+ typ +"/set?idx=" +idx + "&time=0&color=" + color , "D8 79 B6 A7 0D E5 4D 7A A9 03 DB A8 D3 1E 0E 39 74 24 15 FE");
    http.addHeader("Content-Type", "application/json");
    http.addHeader("authorization", publictoken);
    int httpCode = http.GET();   //Send the request
    if (httpCode > 0) { //Check the returning code
      String payload = http.getString();   //Get the request response payload
      Serial.println(payload);                     //Print the response payload
    }
    http.end();   //Close connection
  }
  Lamp_timer = millis ();
}


void switchtemp(String ctemp, String idx, String typ) {
  if (WiFi.status() == WL_CONNECTED) { //Check WiFi connection status
    HTTPClient http;
    http.begin("https://eu.lightify-api.org/lightify/services/"+ typ +"/set?idx=" +idx + "&ctemp=" + ctemp , "D8 79 B6 A7 0D E5 4D 7A A9 03 DB A8 D3 1E 0E 39 74 24 15 FE");
    http.addHeader("Content-Type", "application/json");
    http.addHeader("authorization", publictoken);
    int httpCode = http.GET();   //Send the request
    if (httpCode > 0) { //Check the returning code
      String payload = http.getString();   //Get the request response payload
      Serial.println(payload);                     //Print the response payload
    }
    http.end();   //Close connection
  }
  Lamp_timer = millis ();
}

void checkbutton() {

  Serial.println("button");
  switch (menubutton) {
    case 0:
      Serial.println("Rot");
      leds[0] = CRGB::Red;
      FastLED.show();
      switchcolor("FF0000","1","group");
      delay(200);
      switchOn("1","group");
      menubutton = menubutton + 1;
      delay(200);
      break;
    default:
      Serial.println("Black");
      leds[0] = CRGB::White;
      FastLED.show();
      menubutton = 0;
      switchtemp("6000","1","group"); //ctemp, Lampe oder Gruppe
      statuschange = 1; // timer PIR
      delay(200);
      break;
  }

}

